This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 875864

Summary: [abrt] yum-3.4.3-29.fc17: os.py:157:makedirs:OSError: [Errno 13] Permission denied: '/var/cache/yum/x86_64/17/Dropbox/gen'
Product: [Fedora] Fedora Reporter: Victor Escorcia <escorciav>
Component: yumAssignee: Fedora Packaging Toolset Team <packaging-team>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: admiller, ffesti, packaging-team, tla, zpavlas
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:0b366057ee2bb3b3d4ec27f57cc6235def294b9f
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-13 03:48:11 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: environ
none
File: dso_list
none
File: event_log
none
File: executable
none
File: smolt_data
none
File: core_backtrace none

Description Victor Escorcia 2012-11-12 12:23:25 EST
Version-Release number of selected component:
yum-3.4.3-29.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        /usr/bin/python -t /usr/share/yum-cli/completion-helper.py -d 0 -C list available gno
kernel:         3.6.6-1.fc17.x86_64

backtrace:
:os.py:157:makedirs:OSError: [Errno 13] Permission denied: '/var/cache/yum/x86_64/17/Dropbox/gen'
:
:Traceback (most recent call last):
:  File "/usr/share/yum-cli/completion-helper.py", line 89, in <module>
:    main(sys.argv[1:])
:  File "/usr/share/yum-cli/completion-helper.py", line 83, in main
:    base.doCommands()
:  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
:    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
:  File "/usr/share/yum-cli/completion-helper.py", line 45, in doCommand
:    patterns=[get_pattern(extcmds)])
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2709, in doPackageLists
:    avail = self.pkgSack.returnNewestByNameArch(patterns=patterns,
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1015, in <lambda>
:    pkgSack = property(fget=lambda self: self._getSacks(),
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 779, in _getSacks
:    self.repos.populateSack(which=repos)
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 348, in populateSack
:    sack.populate(repo, mdtype, callback, cacheonly)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 211, in populate
:    ret = misc.repo_gen_decompress(xml, gen, cached=repo.cache)
:  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 1167, in repo_gen_decompress
:    os.makedirs(dest, mode=0755)
:  File "/usr/lib64/python2.7/os.py", line 157, in makedirs
:    mkdir(name, mode)
:OSError: [Errno 13] Permission denied: '/var/cache/yum/x86_64/17/Dropbox/gen'
:
:Local variables in innermost frame:
:tail: 'gen'
:head: '/var/cache/yum/x86_64/17/Dropbox'
:name: '/var/cache/yum/x86_64/17/Dropbox/gen'
:mode: 493
Comment 1 Victor Escorcia 2012-11-12 12:23:33 EST
Created attachment 643636 [details]
File: environ
Comment 2 Victor Escorcia 2012-11-12 12:23:41 EST
Created attachment 643637 [details]
File: dso_list
Comment 3 Victor Escorcia 2012-11-12 12:23:48 EST
Created attachment 643638 [details]
File: event_log
Comment 4 Victor Escorcia 2012-11-12 12:23:55 EST
Created attachment 643639 [details]
File: executable
Comment 5 Victor Escorcia 2012-11-12 12:23:58 EST
Created attachment 643640 [details]
File: smolt_data
Comment 6 Victor Escorcia 2012-11-12 12:24:08 EST
Created attachment 643641 [details]
File: core_backtrace
Comment 7 Zdeněk Pavlas 2012-11-13 03:48:11 EST

*** This bug has been marked as a duplicate of bug 854974 ***